import $ from 'jquery';

window.$ = window.jQuery = $;

import 'bootstrap';

$(document).ready(function($) {
	

	//Variables
	var $slider 			= $('.academic-slider');
	var $progressBar 		= $('.progress');
	var $progressBarLabel 	= $( '.slider__label' );
	var $breadcrumd 		= $('.breadcrumd ul li');
	var $list 				= $('.profile-list li');
	var $searchNav 			= $('.button-search');

    // Libreria AOS
	AOS.init();

	// Boton hamburguesa - mostrar y ocultar
	$('#burguer-open').click(function() {
		$('#mobile').show(200);
	});
	$('#burguer-close').click(function() {
		$('#mobile').hide(200);
	});

	// Boton breadcrumd
	$('.button-toggle').click(function() {
		$('.content-breadcrumd').toggle(200);
	});

	function hideList() {

		var $contentList = $('.profile-list');

		if($list.length > 4) {
			$contentList.addClass('hideList');
		} else {
			$('.profile-button').hide();
		}

		$('.button-open').click(function() {
			$contentList.removeClass('hideList');
			$('.button-open').hide();
			$('.button-close').show();
		});

		$('.button-close').click(function() {
			$contentList.addClass('hideList');
			$('.button-open').show();
			$('.button-close').hide();
		});

	}
	hideList();

	$(window).bind("resize", function () {
		
		// Variable local igual a una variable global
		var $li = $breadcrumd.length;

		if ($(this).width() < 991) {

			// Agrega y remueve clases del slider
			$('#infrastructure-slider').removeClass('infrastructure-desktop').addClass('infrastructure-slider');

			// Si existen mas de 3 li se muestra el breadcrumd responsive
			if ($li > 3) {
				$('#breadcrumd').addClass('breadcrumd-responsive');
			}


		} else {
			$('#infrastructure-slider').removeClass('infrastructure-slider').addClass('infrastructure-desktop');
			$('#breadcrumd').removeClass('breadcrumd-responsive');
		}
		
	}).trigger('resize');

	function searchNavbar() {

		$searchNav.click(function() {
			$('.options-nav').hide();
			$('.input-nav').addClass('search-flex');
		});

		$('.close-search').click(function() {
			$('.options-nav').show();
			$('.input-nav').removeClass('search-flex');
		});

	}
	searchNavbar();

    // Slider Home
	$('.slider-hero').slick({
		autoplay: true,
		dots: true,
		arrow: true,
		infinite: true,
		speed: 400,
		slidesToShow: 1,
		adaptiveHeight: true,
		accessibility: false
	});

	// Slider excelencia academica
	$('.academic-slider').slick({
		autoplay: true,
		dots: false,
		arrow: true,
		infinite: true,
		speed: 400,
		slidesToShow: 1,
		adaptiveHeight: true,
		accessibility: false
	});

	$slider.on('beforeChange', function(event, slick, currentSlide, nextSlide) {   
		var calc = ( (nextSlide) / (slick.slideCount-1) ) * 100;
		
		$progressBar
			.css('background-size', calc + '% 100%')
			.attr('aria-valuenow', calc );
		
		$progressBarLabel.text( calc + '% completed' );
	});

	$('.slider-experience').slick({
		dots: false,
		infinite: false,
		speed: 300,
		slidesToShow: 4,
		slidesToScroll: 3,
		accessibility: false,
		responsive: [
			{
				breakpoint: 1200,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 2,
					infinite: true,
					dots: false,
					infinite: true,
					prevArrow: '<button class="slick-prev" title="Ver item anterior" aria-label="Ver item anterior"></button>',
					nextArrow: '<button class="slick-next" title="Ver item siguiente" aria-label="Ver item siguiente"></button>',
				}
			},
			{
				breakpoint: 992,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2,
					infinite: true,
					dots: false,
					infinite: true,
					prevArrow: '<button class="slick-prev" title="Ver item anterior" aria-label="Ver item anterior"></button>',
					nextArrow: '<button class="slick-next" title="Ver item siguiente" aria-label="Ver item siguiente"></button>',
				}
			},
			{
				breakpoint: 767,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1,
					infinite: true
				}
			}
		]
	});

	$('.calendar-slider').slick({
		dots: false,
		infinite: false,
		speed: 300,
		slidesToShow: 3,
		slidesToScroll: 3,
		accessibility: false,
		responsive: [
			{
				breakpoint: 991,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2,
					infinite: true,
					dots: false
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 480,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}
		]
	});

	// Slider Campus
	$('.slider-sedes').slick({
		dots: true,
		arrow: true,
		infinite: true,
		speed: 300,
		slidesToShow: 1,
		slidesToScroll: 1,
		accessibility: false
	});

	$('.slick-deportes').slick({
		dots: true,
		arrow: true,
		infinite: true,
		speed: 400,
		slidesToShow: 1,
		accessibility: false,
		prevArrow: '<button class="slick-prev" title="Ver item anterior" aria-label="Ver item anterior"></button>',
		nextArrow: '<button class="slick-next" title="Ver item siguiente" aria-label="Ver item siguiente"></button>',
	});

	$('.data-slider').slick({
		dots: false,
		infinite: true,
		arrows: false,
		slidesToShow: 3,
		slidesToScroll: 1,
		accessibility: false,
		variableWidth: true,
		responsive: [
			{
				breakpoint: 1200,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1,
					dots: true
				}
			},
			{
				breakpoint: 768,
				settings: {
					infinite: true,
					slidesToShow: 1,
					slidesToScroll: 1,
					dots: true,
				}
			}
		]
	});

	$('.coquimbo-footer').hide();
	$('.atacama-footer').hide();

	$('.nav-coquimbo').click(function(event) {
		$('.antofagasta-footer').hide();
		$('.atacama-footer').hide();
		$('.coquimbo-footer').show();
	});

	$('.nav-atacama').click(function(event) {
		$('.antofagasta-footer').hide();
		$('.atacama-footer').show();
		$('.coquimbo-footer').hide();
	});

	$('.nav-antofagasta').click(function(event) {
		$('.antofagasta-footer').show();
		$('.atacama-footer').hide();
		$('.coquimbo-footer').hide();
	});

	// Slider sedes - lugares para estudiar
	$('.learning-content').slick({
		infinite: true,
		slidesToShow: 3,
		slidesToScroll: 3,
		accessibility: false,
		responsive: [
			{
				breakpoint: 991,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1,
					infinite: true,
					dots: true
				}
			}
		]

	});

	$('.learning-slider').slick({
		slidesToShow: 3,
		slidesToScroll: 1,
		dots: true,
		arrows: false,
		accessibility: false,
		responsive: [
			{
				breakpoint: 991,
				settings: {
					infinite: true,
					slidesToShow: 2,
					slidesToScroll: 1,
				}
			},
			{
				breakpoint: 768,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}
		]
	});

	$('.infrastructure-slider').slick({
		responsive: [
			{
				breakpoint: 991,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2,
					infinite: true,
					dots: true
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1,
					dots: true
				}
			}
		]
	});


	$('.explorer-careers__slider').slick({
		infinite: true,
		slidesToShow: 3,
		slidesToScroll: 1,
		accessibility: false,
		responsive: [
			{
				breakpoint: 991,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2,
					infinite: true,
				}
			},
			{
				breakpoint: 699,
				settings: {
					infinite: true,
					slidesToShow: 1,
					slidesToScroll: 1,
					dots: true
				}
			}
		]
	});

	// Acordeon
	$(function() {
		// (Optional) Active an item if it has the class "is-active"	
		$(".accordion > .accordion-item.is-active").children(".accordion-panel").slideDown();
		
		$(".accordion > .accordion-item").click(function() {
			// Cancel the siblings
			$(this).siblings(".accordion-item").removeClass("is-active").children(".accordion-panel").slideUp();
			// Toggle the item
			$(this).toggleClass("is-active").children(".accordion-panel").slideToggle("ease-out");

			setTimeout(function(){
				$('html, body').animate({
					scrollTop: $('.accordion-item.is-active').offset().top
				}, 300);
			}, 500 );

		});
	});

	
	$('.form-inputs').hide();
	
	$('.showForm').click(function(event){
		$('.form-inputs').show();
	});

	$('.hideForm').click(function(event){
		$('.form-inputs').hide();
	});
	
});

var lastScrollTop = 0;
$(window).scroll(function(event){
	
	var st = $(this).scrollTop();
	if (st > 60 && $(this).width() < 992 && st > lastScrollTop){
		$('#navbar').removeClass("scrollup");
		$('#navbar').addClass("scrolldown");

	} else {
		$('#navbar').addClass("scrollup");
		$('#navbar').removeClass("scrolldown");
	}
	lastScrollTop = st;
});