<?php

add_filter('xmlrpc_enabled', '__return_false');


function remove_wordpress_version() {
  return '';
}
add_filter('the_generator', 'remove_wordpress_version');


function wpdanger_remove_ver($src, $handle) {
  $handles = ['style','script'];
  if(strpos($src, 'ver=') && !in_array($handle, $handles, true))
    $src = remove_query_arg('ver', $src);
  return $src;
}
add_filter('style_loader_src', 'wpdanger_remove_ver', 9999, 2);
add_filter('script_loader_src', 'wpdanger_remove_ver', 9999, 2);




function remove_footer_admin () { 
  echo '';
}
 
add_filter('admin_footer_text', 'remove_footer_admin');




/**
 * Disable the emoji's
 */
function disable_emojis() {
  remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
  remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
  remove_action( 'wp_print_styles', 'print_emoji_styles' );
  remove_action( 'admin_print_styles', 'print_emoji_styles' );  
  remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
  remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );  
  remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
  
  // Remove from TinyMCE
  add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );

/**
 * Filter out the tinymce emoji plugin.
 */
function disable_emojis_tinymce( $plugins ) {
  if ( is_array( $plugins ) ) {
    return array_diff( $plugins, array( 'wpemoji' ) );
  } else {
    return array();
  }
}


// Remove wlwmanifest.xml
remove_action('wp_head', 'rsd_link');
remove_action( 'wp_head', 'wlwmanifest_link');


//Remover CSS de Bloques Gutenberg
function remove_block_css(){
wp_dequeue_style( 'wp-block-library' );
}
add_action( 'wp_enqueue_scripts', 'remove_block_css', 100 );



/**
 * Removing REST API stuff.
 */
function sar_disable_rest_api() {
  // REST API filters.
  remove_action( 'xmlrpc_rsd_apis', 'rest_output_rsd' );
  remove_action( 'wp_head', 'rest_output_link_wp_head', 10 );
  // Note this header is also set by serve_request() function. The following removes it only in non REST API pages.
  remove_action( 'template_redirect', 'rest_output_link_header', 11 );
  remove_action( 'auth_cookie_malformed', 'rest_cookie_collect_status' );
  remove_action( 'auth_cookie_expired', 'rest_cookie_collect_status' );
  remove_action( 'auth_cookie_bad_username', 'rest_cookie_collect_status' );
  remove_action( 'auth_cookie_bad_hash', 'rest_cookie_collect_status' );
  remove_action( 'auth_cookie_valid', 'rest_cookie_collect_status' );
  remove_filter( 'rest_authentication_errors', 'rest_cookie_check_errors', 100 );
  // REST API actions.
  remove_action( 'init', 'rest_api_init' );
  remove_action( 'rest_api_init', 'rest_api_default_filters', 10 );
  remove_action( 'rest_api_init', 'register_initial_settings', 10 );
  remove_action( 'rest_api_init', 'create_initial_rest_routes', 99 );
  remove_action( 'parse_request', 'rest_api_loaded' );
  // Turn off jsonp REST callback support.
  add_filter( 'rest_jsonp_enabled', '__return_false' );
  // Remove links for /wp-json/oembed/ endpoints.
  remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
}


add_filter( 'rest_endpoints', function( $endpoints ){
    if ( isset( $endpoints['/wp/v2/users'] ) ) {
        unset( $endpoints['/wp/v2/users'] );
    }
    if ( isset( $endpoints['/wp/v2/users/(?P<id>[\d]+)'] ) ) {
        unset( $endpoints['/wp/v2/users/(?P<id>[\d]+)'] );
    }
    return $endpoints;
});
add_filter('json_enabled', '__return_false');
add_filter('json_jsonp_enabled', '__return_false');




/**
* Filter author links on page
**/
function tfr_filter_author_link( $link ) {
    return get_home_url();
}
add_filter( 'author_link', 'tfr_filter_author_link' );
 
/**
* Redirect author pages
**/
function tfr_disable_author_pages() {
    if ( is_author() ) {
        wp_safe_redirect( get_home_url(), '301' );
    }
}
add_action( 'template_redirect', 'tfr_disable_author_pages' );


