<?php

namespace Theme\Controllers;

use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Theme\Helpers\Helper;
use Theme\Models\Career;
use Theme\Models\Area;

class CareerController extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request)
    {
        //
    }


    public function landing(Request $request, $post)
    {

        $breadcrumbs = [
            [
                'url'  => '/',
                'name' => 'Inicio'
            ],
            [
                'url'  => '',
                'name' => $post->post_title
            ],
        
        ];

        $sedes      = Helper::getSedes();
        $areas      = Helper::getAreas();
        $carreras   = Helper::getCarrerasBySede();

        return view(
            'careers.landing', [
                'post'        => $post,
                'fields'      => get_fields($post->ID),
                'sedes'       => $sedes,
                'carreras'    => $carreras,
                'areas'       => $areas,

            ]
        );
    }

    public function show(Request $request, $post)
    {

        $carrera = new Career($post);
        $carreras_relacionadas = $carrera->getCarrerasRelacionadas();

        return view(
            'careers.single', [
                'carrera'               => $carrera,
                'fields'                => $carrera->getFields(),
                'sedes'                 => $carrera->getSedes(),
                'carreras_relacionadas' => $carreras_relacionadas
            ]
        );
    }

    public function tax_area(Request $request, $post)
    {
        $tax = get_queried_object();
        $area  = new Area($tax);

        $carreras = Helper::getCarrerasByArea($area->post->slug);


        return view(
            'careers.area', [
                'area'           => $area,
                'carreras'       => $carreras,
                'fields'         => $area->getFields(),
            ]
        );
    }

}
