<?php

namespace Theme\Controllers;

use GFAPI;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Theme\Helpers\Helper;
use Theme\Models\News;
use Themosis\Taxonomy\Taxonomy;

class SiteController extends Controller
{

    public function homepage(Request $request, $post)
    {

        return view(
            'templates/homepage', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }


    public function descubre(Request $request, $post)
    {

        return view(
            'templates/descubre', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function sedes(Request $request, $post)
    {

        $sedes      = Helper::getSedes();

        return view(
            'templates/sedes', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
                'sedes'     => $sedes,
            ]
        );
    }

    public function vidaUniversitaria(Request $request, $post)
    {

        return view(
            'templates/vida-universitaria', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function excelenciaAcademica(Request $request, $post)
    {

        return view(
            'templates/excelencia-academica', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function orientacionVocacional(Request $request, $post)
    {


        return view(
            'templates/orientacion-vocacional', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }
    

    public function calendarioAdmision(Request $request, $post)
    {


        return view(
            'templates/calendario-admision', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function procesoAdmision(Request $request, $post)
    {


        return view(
            'templates/proceso-admision', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function proyectoEducativo(Request $request, $post)
    {


        return view(
            'templates/proyecto-educativo', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function admisionEspecial(Request $request, $post)
    {


        return view(
            'templates/admision-especial', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function matricula(Request $request, $post)
    {


        return view(
            'templates/como-matricularse', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function becas(Request $request, $post)
    {

        return view(
            'templates/becas', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function becasBeneficios(Request $request, $post)
    {

        return view(
            'templates/becas-beneficios', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function preparateParaLaU(Request $request, $post)
    {

        return view(
            'templates/preparate-para-la-u', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function ensayo(Request $request, $post)
    {

        return view(
            'templates/ensayo', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }

    public function page(Request $request, $post)
    {


        return view(
            'templates/page', [
                'post'      => $post,
                'fields'    => get_fields($post->ID),
            ]
        );
    }


    public function search(Request $request, $post)
    {

        $pagination = get_option( 'posts_per_page' );

        $breadcrumbs = [
            [
                'url'  => '/',
                'name' => 'Inicio'
            ],
            [
                'url'  => '',
                'name' => $post->post_title
            ],
        
        ];

        $search = $request->input('q');

        $paged = $request->input('pag') ? $request->input('pag') : 1;

        // PAGINADOR
        // Obtenemos todos los post
        $all_posts = get_posts([
            'post_type'      => array('page', 'carreras'),
            'posts_per_page' => -1,
            's'              => $search,
            'paged'          => $paged
        ]);

        //how many total posts are there?
        $post_count = count($all_posts);
        //how many pages do we need to display all those posts?
        $num_pages = ceil($post_count / $pagination);
        //let's make sure we don't have a page number that is higher than we have posts for
        if ($paged > $num_pages || $paged < 1) {
            $paged = $num_pages;
        }

        $resultados = Helper::getSearchResults($search, $pagination, $paged);

        return view(
            'templates/search', [
                'post'          => $post,
                'resultados'    => $resultados,
                'fields'        => get_fields($post->ID),
                'breadcrumbs'   => $breadcrumbs,
                'search'            => $search,
                'pagination_post_per_page' => $pagination,
                'pagination_post_count'    => $post_count,
                'pagination_num_pages'     => $num_pages,
                'pagination_paged'         => $paged,

            ]
        );

    }


}
