<?php

namespace Theme\Models;

use Illuminate\Database\Eloquent\Model;

class Career extends Model
{
    public $post;
    
    public function __construct(\WP_Post $post)
    {
        $this->post = $post;

    }
    
    public function getFields()
    {
        return get_fields($this->post->ID);
        
    }


    public function getArea()
    {
        $area = get_the_terms($this->post->ID, 'area');

        if($area){
            $area = reset($area);
            return $area;
        }else{
            return '';
        }
             
    }

    public function getListadoSedes()
    {
        $sedes = get_the_terms($this->post->ID, 'sede');
        $listado_sedes = '';

        if($sedes){
            foreach ($sedes as $key => $sede) {
              if($key > 0){
                $listado_sedes .= ' y '.$sede->name;
              }else{
                $listado_sedes = $sede->name;
              }
            }
            return $listado_sedes;
        }else{
            return '';
        }    
    }


    public function getSedesComoClases()
    {
        $sedes = get_the_terms($this->post->ID, 'sede');
        $listado_sedes = '';
        if($sedes){
            foreach ($sedes as $key => $sede) {
                $listado_sedes .= $sede->slug.' ';
            }
            return $listado_sedes;
        }else{
            return '';
        }    
    }


    public function getSedes()
    {
        $sedes = get_the_terms($this->post->ID, 'sede');

        if($sedes){
            return $sedes;
        }else{
            return '';
        }    
    }


    public function getTematicas()
    {
        $tematicas = get_the_terms($this->post->ID, 'tematica');

        if($tematicas){
            foreach ($tematicas as $key => $tematica) {
              if($key > 0){
                $listado_tematicas .= ' - '.$tematica->name;
              }else{
                $listado_tematicas = $tematica->name;
              }
            }
            return $listado_tematicas;
        }else{
            return '';
        }    
    }


    public function getCarrerasRelacionadas()
    {
        $_posts = [];
        $posts = get_posts([
            'posts_per_page' => 3,
            'post_type'      => 'carreras',
            'status'         => 'publish',
            'post__not_in'   => array($this->post->ID),
            'orderby'        => 'rand',
            'tax_query' => array(
                array(
                    'taxonomy' => 'area',
                    'field'    => 'slug',
                    'terms'    => $this->getArea(),
                ),
            )
        
        ]);
        
        foreach ($posts as $post) {
            $_posts[] = new Career($post);
        }

        return $_posts;
   
    }

    
}
