<?php

/**
 * Theme routes.
 *
 * The routes defined inside your theme override any similar routes
 * defined on the application global scope.
 */

// Vista home
Route::get('/front-home', function () {
    return view('front/home');
});

// Vista descubre UCN
Route::get('/front-discover', function () {
    return view('front/discover');
});

// Vista sedes
Route::get('/front-campus', function () {
    return view('front/campus');
});

// Vista vida universitaria
Route::get('/front-university', function () {
    return view('front/university');
});

// Vista carreras
Route::get('/front-careers', function () {
    return view('front/careers');
});

// Vista area
Route::get('/front-area', function () {
    return view('front/area');
});

// Vista carrera individual
Route::get('/front-career', function () {
    return view('front/career');
});

// Vista orientación vocacional
Route::get('/front-orientation', function () {
    return view('front/orientation');
});

// Vista calendar
Route::get('/front-calendar', function () {
    return view('front/calendar');
});

// Vista preparate para la U
Route::get('/front-ready-university', function () {
    return view('front/readyUniversity');
});

// Vista preguntas frecuentes
Route::get('/front-page-questions', function () {
    return view('front/page-questions');
});

// Vista preguntas frecuentes
Route::get('/front-questions', function () {
    return view('front/questions');
});

Route::get('/front-test', function () {
    return view('front/test');
});

Route::get('/front-education', function () {
    return view('front/education');
});

Route::get('/front-postulation', function () {
    return view('front/postulation');
});

Route::get('/front-postulation-admision', function () {
    return view('front/postulation-admision');
});

Route::get('/front-matriculate', function () {
    return view('front/matriculate');
});

Route::get('/front-admission-process', function () {
    return view('front/admission-process');
});

Route::get('/front-404', function () {
    return view('front/404');
});

Route::get('/front-search', function () {
    return view('front/search');
});

Route::get('/front-search-not', function () {
    return view('front/search-notFound');
});

Route::get('/front-becas', function () {
    return view('front/becas');
});

Route::get('/front-becas-beneficios', function () {
    return view('front/becas-beneficios');
});

Route::get('/front-becas-estatales', function () {
    return view('front/becas-estatales');
});

Route::get('/front-credits', function () {
    return view('front/credits');
});

Route::get('/front-gratuidad', function () {
    return view('front/gratuidad');
});

Route::get('/front-default', function () {
    return view('front/default-single');
});

/* Rutas Back  */
Route::any('/', ['uses' => 'SiteController@homepage']);

//Page templates
Route::get('template', ['homepage-template', 'uses' => 'SiteController@homepage']);
Route::get('template', ['descubre-ucn-template', 'uses' => 'SiteController@descubre']);
Route::get('template', ['sedes-template', 'uses' => 'SiteController@sedes']);
Route::get('template', ['vida-universitaria-template', 'uses' => 'SiteController@vidaUniversitaria']);
Route::get('template', ['excelencia-academica-template', 'uses' => 'SiteController@excelenciaAcademica']);
Route::get('template', ['proyecto-educativo-template', 'uses' => 'SiteController@proyectoEducativo']);
Route::get('template', ['becas-template', 'uses' => 'SiteController@becas']);
Route::get('template', ['orientacion-vocacional-template', 'uses' => 'SiteController@orientacionVocacional']);
Route::get('template', ['calendario-admision-template', 'uses' => 'SiteController@calendarioAdmision']);
Route::get('template', ['proceso-admision-template', 'uses' => 'SiteController@procesoAdmision']);
Route::get('template', ['proyecto-educativo-template', 'uses' => 'SiteController@proyectoEducativo']);
Route::get('template', ['admision-especial-template', 'uses' => 'SiteController@admisionEspecial']);
Route::get('template', ['matricula-template', 'uses' => 'SiteController@matricula']);
Route::get('template', ['becas-template', 'uses' => 'SiteController@becas']);
Route::get('template', ['becas-beneficios-template', 'uses' => 'SiteController@becasBeneficios']);
Route::get('template', ['preparate-para-la-u-template', 'uses' => 'SiteController@preparateParaLaU']);
Route::get('template', ['ensayo-template', 'uses' => 'SiteController@ensayo']);

Route::get('template', ['search-template', 'uses' => 'SiteController@search']);


//CPT
Route::get('singular', ['carreras', 'uses' => 'CareerController@show']);
Route::get('template', ['carreras-template', 'uses' => 'CareerController@landing']);
Route::get('tax', ['area', 'uses' => 'CareerController@tax_area']);

Route::get('template', ['faq-template', 'uses' => 'FaqController@landing']);
Route::get('tax', ['tema', 'uses' => 'FaqController@tax_tema']);


//Default page template
Route::get('template', ['default', 'uses' => 'SiteController@page']);


