@php
	$imagen_header = get_field('imagen_header', $post->ID );
  if ($imagen_header){
    $url_imagen = $imagen_header['sizes']['w1440_360'];
  } else {
    $url_imagen = 'https://via.placeholder.com/1440x360';
  }
@endphp
<section id="banner">
    <div class="banner-form-img" style="background-image: url({{ $url_imagen }});">
        <div class="banner-form-img__bg"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="banner-form-img__content">

                        @include('parts/components/breadcrumbs/breadcrumbs')

                        <h1>
                            {{ $post->post_title }}
                        </h1>

                        <h4>
                            Te presentamos nuestra oferta académica para este año.
                        </h4>

                        <form id="form_carreras" method="GET">
                            <div class="row">
                                <div class="col-12 col-lg-3 form-group">
                                    <label>Sedes</label>
                                    <select id="listado_sedes" class="form-control" placeholder="Todas">
                                        <option value="">Todas</option>
                                        @if ($sedes)
                                            @foreach ($sedes as $sede)
                                                <option value="{{ $sede->slug }}">{{ $sede->name }}</option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>
                                <div class="col-12 col-lg-5 form-group">
                                    <label>Carreras</label>
                                    <select id="listado_carreras" class="select-careers select-with-selectize" placeholder="¿Qué carrera buscas?">
                                        @if ($carreras)
                                            <option value="">¿Qué carrera buscas?</option>
                                            @foreach ($carreras as $carrera)
                                                <option data-sede="{{ $carrera->getSedesComoClases() }}" value="{{ get_permalink($carrera->post->ID) }}">{{ $carrera->post->post_title }}</option>
                                            @endforeach
                                        @endif
                                    </select>
                                </div>
                                <div class="col-3 col-lg-3 form-group button-form">
                                    <button type="submit" class="btn btn-primary">
                                        Conocer
                                    </button>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
