@php
    $id_pag_calendario = Theme\Helpers\Helper::getIDPaginaCalendario();
    $eventos = Theme\Helpers\Helper::getProximosEventosAdmision();
@endphp

@if ($eventos)
    <section id="calendar">
        <div class="container">
            <div class="row">
                <div class="col-md-12 calendar-content">
                    <div class="row">
                        <div class="col-sm-12 col-md-4 col-lg-3">
                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/calendario.svg" alt="calendario img">
                            <h5>
                                ¡QUE NO SE TE OLVIDEN!
                            </h5>
                            <h2>
                                Próximas fechas oficiales
                            </h2>
                        </div>
                        <div class="col-sm-12 col-md-8 col-lg-9">
                            <div class="calendar-slider">
                                @php
                                    $vez = 1;
                                @endphp
                                @foreach ($eventos as $key => $evento)
                                    
                                    <div class="calendar-slider__content">
                                        <div class="calendar-slider__content-date">
                                            <h4>
                                                {{ date_i18n('d', strtotime($key)) }}
                                                <span>{{ strtoupper(date_i18n('M', strtotime($key))) }}</span>
                                            </h4>
                                        </div>
                                        <div class="calendar-slider__content-info">
                                            <span>{{ $evento['categoria'] }}</span>
                                            <p>
                                                {{ $evento['titulo'] }}
                                            </p>
                                        </div>
                                    </div>

                                    @php
                                        if($vez >= 2){
                                            break;
                                        }
                                        $vez++;
                                    @endphp
                                @endforeach

                                @if ($id_pag_calendario)
                                <div class="calendar-slider__content">
                                    <div class="calendar-slider__content-info">
                                        <a class="admision-calendario-de-actividades" href="{{ get_permalink($id_pag_calendario) }}">
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/arrowRight-orange.svg" alt="">
                                            Ver calendario de admisión
                                        </a>
                                    </div>
                                </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endif
