

@if ($especializacion_listados)
<section id="specialization">
    <div class="container">
        <div class="row">
            <div class="col-md-12 col-lg-6 bg-white specialization-info">
                <h2 id="{{ sanitize_title($especializacion_titulo) }}">
                    {{ $especializacion_titulo }}
                </h2>
                <p>
                    {{ $especializacion_texto }}
                </p>
                @if ($especializacion_listados)
                    @foreach ($especializacion_listados as $item)
                        <ul class="list-info">
                            <li>
                                <a href="{{ get_permalink($item['pagina']) }}">
                                    {{ $item['pagina']->post_title }}
                                    <span>
                                        <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect-orange.svg" alt="">
                                    </span>
                                </a>
                            </li>
                            @foreach ($item['lista_detalles'] as $detalle)
                                <li>
                                    {{ $detalle['texto'] }}
                                </li>
                            @endforeach
                        </ul>
                    @endforeach
                @endif
            </div>
            <div class="col-md-12 col-lg-6 specialization-img">
                @if ($especializacion_imagen)
                    <img src="{{ $especializacion_imagen['sizes']['w560_480'] }}" alt="{{ $especializacion_imagen['alt'] }}">
                @else
                    <img src="https://via.placeholder.com/560x480/" alt="" width="100%">
                @endif
            </div>
        </div>
    </div>
</section>
@endif
