
@if ($sedes)
    
<div class="tabs">
    <ul class="nav nav-tabs" id="myTab" role="tablist">

        @foreach ($sedes as $sede)
            <li class="nav-item" role="presentation">
                <a class="nav-link {{ $loop->first ? "active" : "" }} nav-{{ $sede->slug }}" id="{{ $sede->slug }}-tab" data-toggle="tab" href="#{{ $sede->slug }}" role="tab" aria-controls="home" aria-selected="true">{{ $sede->name }}</a>
            </li>
        @endforeach
    </ul>

    <div class="tabs-sedes tab-content" id="myTabContent">

        @foreach ($sedes as $sede)
           <div class="tab-pane fade {{ $loop->first ? "show active" : "" }}" id="{{ $sede->slug }}" role="tabpanel" aria-labelledby="{{ $sede->slug }}-tab">

                @php
                    $slider = get_field('slider', $sede);
                @endphp

                @if ($slider)    
                <div class="slider-sedes">
                    @foreach ($slider as $slide)
                        <div class="slider-sedes__content">
                            <div class="slider-sedes__content-img">
                                @if ($slide['imagen'])
                                    <img class="background-img" src="{{ $slide['imagen']['sizes']['w860_500'] }}" alt="{{ $slide['imagen']['alt'] }}">
                                @else
                                    <img class="background-img" src="https://via.placeholder.com/860x500">
                                @endif
                            </div>

                            <div class="slider-sedes__content-info">
                                <h2>{{ $slide['titulo'] }}</h2>
                               
                                @if ($slide['ubicacion_texto'] AND $slide['ubicacion_url'])
                                    <a href="{{ $slide['ubicacion_url'] }}">
                                    {{ $slide['ubicacion_texto'] }}
                                        <img src="{{ get_theme_file_uri() }}/dist/img/icon/ubication2.svg" alt="Ubicación">
                                    </a>
                                @endif 
                                                          
                                @if ($slide['bajada'])
                                    <p>
                                        {{ $slide['bajada'] }}
                                    </p>
                                @endif
                                
                                @if ($slide['cta'])
                                <a href="{{ $slide['cta']['url'] }}" target="{{ $slide['cta']['target'] ? '_blank' : '_self' }}" class="btn btn-primary btn-tour">
                                    {{ $slide['cta']['title'] }}
                                </a>
                                @endif
                            </div>
                        </div>
                    @endforeach
                </div>
                @endif

                @php
                    $facultades_y_escuelas = get_field('facultades_y_escuelas', $sede);
                @endphp

                @if ($facultades_y_escuelas)    
                    <div class="facultades">
                        <h2 class="facultades-title">
                            Facultades y escuelas
                        </h2>
                        <div class="row">
                            @foreach ($facultades_y_escuelas as $item)
                            <div class="col-md-12 col-lg-4">
                                <div class="facultades-img" style="background-image: url('{{ $item['imagen']['sizes']['w260_150'] }}')">
                                    <div class="gradient"></div>
                                    <div class="content">
                                        <a href="{{ $item['url'] }}">
                                            {{ $item['nombre'] }}
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                        </a>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>

                @endif

                @php
                    $imagenes = get_field('imagenes', $sede);
                @endphp

                @if ($imagenes)
                    <div class="learning">
                        <h2 class="learning-title">
                            Lugares para estudiar y aprender
                        </h2>
                        <div class="learning-content">
                            @foreach ($imagenes as $item)
                                <div class="learning-content__img" style="background-image: url('{{ $item['imagen']['sizes']['w260_330'] }}')">
                                    <div class="gradient"></div>
                                    <div class="content">
                                        <h4>
                                            {!! $item['texto'] !!}
                                        </h4>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                @endif

                @php
                    $servicios_imagenes = get_field('servicios_imagenes', $sede);
                    $servicios_contenido = get_field('servicios_contenido', $sede);
                @endphp

                @if ($servicios_imagenes OR $servicios_contenido)
                <div class="services">
                    <h2 class="services-title">
                        {{ the_field('servicios_titulo', $sede) }}
                    </h2>
                    <div class="row">
                        @if ($servicios_imagenes)
                        <div class="col-md-12 services-img">
                            @foreach ($servicios_imagenes as $item)
                                <img src="{{ $item['imagen']['sizes']['w360_145'] }}" alt="{{ $item['imagen']['alt'] }}">
                            @endforeach
                        </div>
                        @endif
                        
                        @if ($servicios_contenido)
                            <div class="col-md-12">
                                {!! $servicios_contenido  !!}
                            </div>
                        @endif
                    </div>
                </div>
                @endif
                
                @php
                    $mapa = get_field('mapa', $sede);
                @endphp

                @if ($mapa)
                <div class="maps">
                    <h2 class="maps-title">
                        Mapa de la Sede {{ $sede->name }}
                    </h2>
                    <img src="{{ $mapa['url'] }}" alt="{{ $mapa['alt'] }}">
                </div>
                @endif

            </div> 
        @endforeach
        

    </div>
</div>

@endif
