@php
	$imagen_header 		= get_field('imagen_header',$carrera->post->ID );
	$logo_acreditacion 		= get_field('logo_acreditacion',$carrera->post->ID );
  $malla_curricular 	= get_field('malla_curricular',$carrera->post->ID );
@endphp

<section id="banner">
	<div class="banner-carreer" style="background-image: url({{ $imagen_header['sizes']['w1440_700'] ?? 'https://via.placeholder.com/1440x700' }});">
		<div class="banner-carreer__img">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="banner-carreer__img-content">

							{{-- Component breadcrumd --}}
							@include('parts/components/breadcrumbs/breadcrumbs')

							<h1>
								{{ $carrera->post->post_title }}
							</h1>
							<h4>
								{{ $carrera->post->descripcion_carrera }}
							</h4>
							<h4>
								<strong>
									Temáticas:
								</strong>  
								{{ $carrera->getTematicas() }}
							</h4>
							<h4>
								<strong>
									Área:
								</strong>
								<a href="{{ get_term_link($carrera->getArea()) }}">{{ $carrera->getArea()->name }}</a>
							</h4>
							@if ($malla_curricular)
								<a href="{{ $malla_curricular['url'] }}" class="btn btn-primary button-career" target="_blank">
									Ver malla curricular
								</a>
							@endif
						</div>
					</div>
				</div>
				@if ($logo_acreditacion)
				<div class="banner-carreer__img__tag">
					<img src="{{ $logo_acreditacion['url'] }}" alt="{{ $logo_acreditacion['alt'] }}">
				</div>
				@endif
			</div>
		</div>
		<div class="banner-carreer__img-info">
			<div class="container">
				<ul class="banner-carreer__img-info-list">
					<li>
						<span>
							<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-ubication.svg" alt="">
						</span>
						<div>
							<p class="title">Sede</p>
							<p class="text">{{ $carrera->getListadoSedes() }}</p>
						</div>
					</li>
					<li>
						<span>
							<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-sandclock.svg" alt="">
						</span>
						<div>
							<p class="title">Duración</p>
							<p class="text">{{ $carrera->post->duracion }}</p>
						</div>
					</li>
					<li>
						<span>
							<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-sunmoon.svg" alt="">
						</span>
						<div>
							<p class="title">Jornada</p>
							<p class="text">{{ $carrera->post->jornada }}</p>
						</div>
					</li>
					<li>
						<span>
							<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-congratulation.svg" alt="">
						</span>
						<div>
							<p class="title">Título profesional</p>
							<p class="text">{{ $carrera->post->titulo_profesional }}</p>
						</div>
					</li>
					<li>
						<span>
							<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-grade.svg" alt="">
						</span>
						<div>
							<p class="title">Grado académico</p>
							<p class="text">{{ $carrera->post->grado_academico }}</p>
						</div>
					</li>
				</ul>
			</div>
		</div>
	</div>
</section>
