@php
	$ponderaciones = get_field('ponderaciones', $carrera->post->ID);
	$ponderaciones_obs = get_field('ponderaciones_obs', $carrera->post->ID);
	$vacantes_y_puntajes = get_field('vacantes_y_puntajes', $carrera->post->ID);
	$url_simula_tu_puntaje = get_field('url_simula_tu_puntaje', 'option');
	$url_requisitos_admision_especial = get_field('url_requisitos_admision_especial', 'option');
	$url_ver_becas = get_field('url_ver_becas', 'option');

	$adm_especial_intro = get_field('adm_especial_intro', $carrera->post->ID);
	$adm_especial_tabla = get_field('adm_especial_tabla', $carrera->post->ID);
	$costos_carrera = get_field('costos_carrera', $carrera->post->ID);
@endphp

<div class="info">
		<h2>
			Lo que debes saber para postular
		</h2>
			@if ($ponderaciones)	
			<div class="info-content-ponderaciones">
				<h3 id="ponderaciones">
					Ponderaciones
				</h3>

				<ul class="info-content-ponderaciones__list">
					@foreach ($ponderaciones as $ponderacion)
						@switch($ponderacion['titulo'])
						    @case('nem')
						        <li>
											<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-star.svg" alt="">
											<p>NEM</p>
											<span>{{ $ponderacion['porcentaje'] }}%</span>
										</li>
						        @break
						    @case('ranking')
						    	<li>
										<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-ranking.svg" alt="">
										<p>Ranking</p>
										<span>{{ $ponderacion['porcentaje'] }}%</span>
									</li>
									@break
								@case('matematicas')
									<li>
										<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-mate.svg" alt="">
										<p>Matemática</p>
										<span>{{ $ponderacion['porcentaje'] }}%</span>
									</li>
									@break
								@case('comp_lectora')
									<li>
										<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-read.svg" alt="">
										<p>Comp. Lectora</p>
										<span>{{ $ponderacion['porcentaje'] }}%</span>
									</li>
									@break

								@case('ciencias')
									<li>
										<img src="{{ get_theme_file_uri() }}/dist/img/icon/icono-science.svg" alt="">
										<p>Ciencias</p>
										<span>{{ $ponderacion['porcentaje'] }}%</span>
									</li>
									@break

								@case('historia')
									<li>
										<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-history.svg" alt="">
										<p>Historia</p>
										<span>{{ $ponderacion['porcentaje'] }}%</span>
									</li>
									@break
								@case('ciencias_o_historia')
									<li class="combined">
										<div>
											<img src="{{ get_theme_file_uri() }}/dist/img/icon/icono-science.svg" alt="">
											<p>Ciencias</p>
											<span>{{ $ponderacion['porcentaje_ciencias'] }}%</span>
										</div>
										<div></div>
										<div>
											<img src="{{ get_theme_file_uri() }}/dist/img/icon/icon-history.svg" alt="">
											<p>Historia</p>
											<span>{{ $ponderacion['porcentaje_historia'] }}%</span>
										</div>
									</li>
									@break
						@endswitch
					@endforeach
				</ul>
				
				<p class="info-content-ponderaciones__text">
					{{ $carrera->post->ponderaciones_obs }}
				</p>
			</div>
			@endif

			@if ($vacantes_y_puntajes)
			<div class="info-content-points">
				<h3 id="vacantes-y-puntajes">
					Vacantes y puntajes
				</h3>
				
				<table class="info-content-points__table table">
					<tr>
						@foreach ($vacantes_y_puntajes as $vyp)
							@if($loop->last)
         				<td class="border-right">
         					<strong>{{ $vyp['linea_1'] }}</strong>
							<p>{{ $vyp['linea_2'] }}</p>
							<p>{{ $vyp['linea_3'] }}</p>
						</td>
         			@else
	         			<td>
							<strong>{{ $vyp['linea_1'] }}</strong>
							<p>{{ $vyp['linea_2'] }}</p>
							<p>{{ $vyp['linea_3'] }}</p>
						</td>
     					@endif
						@endforeach
					</tr>
				</table>
				
				@if ($url_simula_tu_puntaje)
					<a href="{{ $url_simula_tu_puntaje }}" class="btn btn-primary carrera-simula-tu-puntaje" target="_blank">
						simula tu puntaje
					</a>
				@endif
			</div>
			@endif


			<div class="info-content-especial">
				<h3 id="admision-especial">
					Admisión Especial
				</h3>
				<p>
					{{ $adm_especial_intro }}
				</p>
				@if ($adm_especial_tabla)
					<table class="info-content-especial__table table table-striped">
						@foreach ($adm_especial_tabla as $fila)
							<tr>
								<td>
									{{ $fila['columna_izquierda'] }}
								</td>
								<th>{{ $fila['columna_derecha'] }}</th>
							</tr>
						@endforeach
					</table>
				@endif

				@if ($adm_especial_tabla AND $url_requisitos_admision_especial)
					<a href="{{ $url_requisitos_admision_especial }}" class="btn btn-primary carrera-ver-requisitos" target="_blank">
						ver requisitos
					</a>
				@endif
			</div>


			@if ($costos_carrera)
			<div class="info-content-costs">
				<h3 id="costos">
					Costos de la carrera
				</h3>
				<table class="info-content-costs__table table">
					<tr>
						@foreach ($costos_carrera as $columna)
							@if($loop->last)
								<td>
									<p>{{ $columna['item'] }}</p>
									<strong>{{ $columna['costo'] }}</strong>
								</td>
         			@else
         				<td class="border-right">
									<p>{{ $columna['item'] }}</p>
									<strong>{{ $columna['costo'] }}</strong>
								</td>
     					@endif
						@endforeach
					</tr>
				</table>

				@if ($url_ver_becas)
					<a href="{{ $url_ver_becas }}" class="btn btn-primary carrera-ver-becas" target="_blank">
						ver becas
					</a>
				@endif
			</div>
			@endif
	</div>
