<section id="explorer">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<h2>
					Explora las distintas áreas
				</h2>
			</div>
			<div class="col-md-12">
				<div class="explorer-tabs">
					<ul class="nav nav-tabs" id="myTab" role="tablist">
						<li class="nav-item">
						    <a class="nav-link active" id="todas-tab" data-toggle="tab" href="#todas" role="tab" aria-controls="todas" aria-selected="true">Todas</a>
						</li>

						@if ($sedes)
							@foreach ($sedes as $sede)
								<li class="nav-item">
							    <a class="nav-link" id="{{ $sede->slug }}-tab" data-toggle="tab" href="#{{ $sede->slug }}" role="tab" aria-controls="{{ $sede->slug }}" aria-selected="false">{{ $sede->name }}</a>
								</li>
							@endforeach
						@endif
						
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<section class="search-explorer">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="tab-content" id="myTabContent">

						<!-- Tab todas las sedes -->
				  	<div class="tab-pane fade show active" id="todas" role="tabpanel" aria-labelledby="todas-tab">
				  		<div class="row">
				  			@if ($areas)
					  			@foreach ($areas as $area)
					  				@php
					  					$imagen_header = get_field('imagen_header', $area );
										  if($imagen_header){
										    $url_imagen_area = $imagen_header['sizes']['w360_145'];
										  }else{
										    $url_imagen_area = 'https://via.placeholder.com/360x145';
										  }
										  $clase_color = get_field('color', $area);
										  $carreras = Theme\Helpers\Helper::getCarrerasByArea($area->slug);
					  				@endphp	
					  				<div class="col-md-4 card-content cards">
									  	<div class="card {{ $clase_color }}">
									  		<a href="{{ get_term_link($area) }}">
												<div class="card-img" style="background-image: url({{ $url_imagen_area }});">
													<div class="card-img__background"></div>
													<div class="card-img__text">
														<h2>{{ $area->name }}</h2>
														<img src="{{ get_theme_file_uri() }}/dist/img/icon/arrow-large-right-white.svg" alt="">
													</div>
												</div>
											</a>
											<div class="card-body">
												<ul class="card-list">
													@if ($carreras)
														@foreach ($carreras as $carrera)
															<li><a href="{{ get_permalink($carrera->post->ID) }}">{{ $carrera->post->post_title }}</a></li>
														@endforeach
													@endif
												</ul>
											</div>
										</div>
						  			</div>
					  			@endforeach
				  			@endif
				  		</div>
				  	</div>

				  	@foreach ($sedes as $sede)

				  		<div class="tab-pane fade" id="{{ $sede->slug }}" role="tabpanel" aria-labelledby="{{ $sede->slug }}-tab">
				  			<div class="row">
								@php
									$areas_de_sede = Theme\Helpers\Helper::getAreasBySede($sede->slug);
								@endphp

								@if ($areas_de_sede)
									@foreach ($areas_de_sede as $area)
										@php
											$imagen_header = get_field('imagen_header', $area );
											if($imagen_header){
												$url_imagen_area = $imagen_header['sizes']['w360_145'];
											}else{
												$url_imagen_area = 'https://via.placeholder.com/360x145';
											}
											$clase_color = get_field('color', $area);
											$carreras = Theme\Helpers\Helper::getCarrerasByAreaAndSede($area->slug, $sede->slug);
										@endphp	
										<div class="col-md-4 card-content cards">
											<div class="card {{ $clase_color }}">
												<a href="{{ get_term_link($area) }}">
													<div class="card-img" style="background-image: url({{ $url_imagen_area }});">
														<div class="card-img__background"></div>
														<div class="card-img__text">
															<h2>{{ $area->name }}</h2>
															<img src="{{ get_theme_file_uri() }}/dist/img/icon/arrow-large-right-white.svg" alt="">
														</div>
													</div>
												</a>
												<div class="card-body">
													<ul class="card-list">
														@if ($carreras)
															@foreach ($carreras as $carrera)
																<li><a href="{{ get_permalink($carrera->post->ID) }}">{{ $carrera->post->post_title }}</a></li>
															@endforeach
														@endif
													</ul>
												</div>
											</div>
										</div>
									@endforeach
								@endif
							</div>
				  		</div>
				  	@endforeach
				</div>
			</div>
		</div>
	</div>
</section>
