

@if ($intercambio_pagina OR $investigacion_pagina)
<section id="information-students">
    <div class="container">
        <div class="row">

            @if ($intercambio_pagina)
                <div class="col-md-12 col-lg-6">
                    <div class="information-students__content" id="{{ sanitize_title($intercambio_pagina->post_title) }}">
                        @if ($intercambio_imagen)
                            <div class="information-students__content-img" style="background-image: url('{{ $intercambio_imagen['sizes']['w540_540'] }}')">
                                <div class="gradient"></div>
                                <div class="content">
                                    <h2>{{ $intercambio_pagina->post_title }}</h2>
                                    <p>
                                        {{ $intercambio_texto }}
                                    </p>
                                    <a class="btn btn-primary descubreucn-intercambio-estudiantil" href="{{ get_permalink($intercambio_pagina) }}">
                                        <div class="icon">
                                            {{ $intercambio_cta }}
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                        </div> 
                                    </a>
                                </div>
                            </div>
                        @else
                            <div class="information-students__content-img" style="background-image: url('https://via.placeholder.com/540x540/')">
                                <div class="gradient"></div>
                                <div class="content">
                                    <h2>{{ $intercambio_pagina->post_title }}</h2>
                                    <p>
                                        {{ $intercambio_texto }}
                                    </p>
                                    <a class="btn btn-primary descubreucn-intercambio-estudiantil" href="{{ get_permalink($intercambio_pagina) }}">
                                        <div class="icon">
                                            {{ $intercambio_cta }}
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                        </div> 
                                    </a>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            @endif

            @if ($investigacion_pagina)
                <div class="col-md-12 col-lg-6">
                    <div class="information-students__content" id="{{ sanitize_title($investigacion_pagina->post_title) }}">
                        @if ($investigacion_imagen)
                            <div class="information-students__content-img" style="background-image: url('{{ $investigacion_imagen['sizes']['w540_540'] }}')">
                                <div class="gradient"></div>
                                <div class="content">
                                    <h2>{{ $investigacion_pagina->post_title }}</h2>
                                    <p>
                                        {{ $investigacion_texto }}
                                    </p>
                                    <a class="btn btn-primary descubreucn-investigacion-ucn" href="{{ get_permalink($investigacion_pagina) }}">
                                        <div class="icon">
                                            {{ $investigacion_cta }}
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                        </div> 
                                    </a>
                                </div>
                            </div>
                        @else
                            <div class="information-students__content-img" style="background-image: url('https://via.placeholder.com/540x540/')">
                                <div class="gradient"></div>
                                <div class="content">
                                    <h2>{{ $investigacion_pagina->post_title }}</h2>
                                    <p>
                                        {{ $investigacion_texto }}
                                    </p>
                                    <a class="btn btn-primary descubreucn-investigacion-ucn" href="{{ get_permalink($investigacion_pagina) }}">
                                        <div class="icon">
                                            {{ $investigacion_cta }}
                                            <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                        </div> 
                                    </a>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            @endif
        </div>
    </div>
</section>
@endif
