<div class="col-md-12">
<!-- Title -->
<h2>
    {{ $fields['sedes_titulo_bloque'] }}
</h2>
<div class="full-width-mobile">
    @if(isset($fields['sedes']) AND $fields['sedes'])

    <!-- Slider -->
    <div class="academic-slider">
        @foreach ($fields['sedes'] as $sede)
            <div class="academic-slider__img" style="background-image: url({{ $sede['imagen']['sizes']['w1140_440'] }})">
                <!-- Gradient -->
                <div class="academic-slider__img-bg"></div>

                <!-- Link -->
                <a href="{{ $sede['url'] }}" class="academic-slider__img-link admision-sedes-home">
                    <span class="mr-3">
                        <img src="{{ get_theme_file_uri() }}/dist/img/icon/ubication.svg" alt="">
                    </span>
                        {{ $sede['nombre'] }}
                    <span class="ml-3">
                        <img src="{{ get_theme_file_uri() }}/dist/img/icon/arrow-large-right-white.svg" alt="">
                    </span>
                </a>
            </div>
        @endforeach
    </div>
    <div class="progress" role="progressbar" aria-valuemin="0" aria-valuemax="100">
        <span class="slider__label sr-only"></span>
    </div>
    <!-- End slider -->
    @endif

    
    <!-- slider exp -->
    @if (isset($fields['caracteristicas']) AND $fields['caracteristicas'])
    <div class="slider-experience">
        @foreach ($fields['caracteristicas'] as $caracteristica)
            <div class="slider-experience-content">
                <div class="slider-experience-content__icon">
                    <img src="{{ $caracteristica['icono']['url'] }}" alt="{{ $caracteristica['icono']['alt'] }}">
                </div>
                <ul>
                    <li>{{ $caracteristica['titulo'] }}</li>
                    <li>{{ $caracteristica['bajada'] }}</li>
                </ul>
            </div>
        @endforeach
    </div>
    @endif
</div>

@if (isset($fields['cajas']) AND $fields['cajas'])
<div class="row info-campus">
    @foreach ($fields['cajas'] as $key => $caja)
        <div class="col-md-12 col-lg-6">
            <div class="info-campus__img" style="background-image: url('{{ $caja['imagen']['sizes']['w560_280'] }}')">
                <div class="gradient"></div>
                <div class="content">
                    <h2>{{ $caja['titulo'] }}</h2>
                    <p>
                        {{ $caja['bajada'] }}
                    </p>
                    @if($caja['cta_1'])
                        <a href="{{ $caja['cta_1']['url'] }}" class="btn btn-primary mr-2 admision-home-caja-{{ $key+1 }}-cta-1" target="{{ $caja['cta_1']['target'] }}">
                            <div class="icon">
                                {{ $caja['cta_1']['title'] }}
                                
                                @if($caja['cta_1']['target'] == '_blank')
                                    <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                @endif
                            </div> 
                        </a>
                    @endif

                    @if($caja['cta_2'])
                        <a href="{{ $caja['cta_2']['url'] }}" class="btn btn-primary mr-2 admision-home-caja-{{ $key+1 }}-cta-2" target="{{ $caja['cta_2']['target'] }}">
                            <div class="icon">
                                {{ $caja['cta_2']['title'] }}

                                @if($caja['cta_2']['target'] == '_blank')
                                    <img src="{{ get_theme_file_uri() }}/dist/img/icon/redirect.svg" alt="">
                                @endif
                            </div>
                        </a>
                    @endif

                </div>
            </div>
        </div>
    @endforeach
    
</div>
@endif
