
<section id="hero">
    
    @if (isset($fields['hero_imagen']) AND $fields['hero_imagen'])
        <!-- Imagen -->
        <div class="hero-imagen" style="background-image: url('{{ $fields['hero_imagen']['sizes']['w800_800'] }}')">
            <div class="gradient"></div>
        </div>
    @endif
        
    @if (!wp_is_mobile())
        @if(isset($fields['hero_video']) AND $fields['hero_video'])
        <!-- video -->
        <video id="ucn-video" class="ucn-video video-js vjs-16-9 vjs-big-play-centered" data-setup="{}" muted controls autoplay loop>
            <source src="{{ $fields['hero_video']['url'] }}" type="video/mp4">
        </video>
        @endif
    @endif

    <!-- text in video -->
    <div class="hero-content">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <img src="{{get_theme_file_uri()}}/dist/img/icon/help.svg" alt="">
                    <h1 class="hero-content__title">
                        {{ $fields['hero_titulo'] }}
                    </h1>
                    <h4 class="hero-content__text">
                        {{ $fields['hero_bajada'] }}
                    </h4>
                    @if (isset($fields['hero_cta']) AND $fields['hero_cta'])
                        <a href="{{ $fields['hero_cta']['url'] }}" target="{{ $fields['hero_cta']['target'] }}" class="btn btn-primary hero-content__button">
                        {{ $fields['hero_cta']['title'] }}
                        </a>
                    @endif
                </div>
            </div>
        </div>
    </div>

    @if(isset($fields['slider_destacados']) AND $fields['slider_destacados'])
    <div class="container">
        <div class="row">
            <div data-aos="fade-up" class="col-md-12" style="z-index: 2">
                <div class="slider-hero">
                    @foreach ($fields['slider_destacados'] as $slide)
                        <div class="slider-contentHero">
                            <div class="row">
                                <div class="col-md-12 col-lg-6 slider-contentHero__text">
                                    <h3>{{ $slide['titulo'] }}</h3>
                                    <h5>
                                        {{ $slide['bajada'] }}
                                    </h5>
                                    @if (isset($fields['hero_cta']) AND $fields['hero_cta'])
                                    <a href="{{ $slide['cta']['url'] }}" target="{{ $slide['cta']['target'] }}" class="btn btn-primary admision-carrusel-de-novedades">
                                        {{ $slide['cta']['title'] }}
                                    </a>
                                    @endif
                                </div>
                                <div class="col-md-12 col-lg-6 slider-contentHero__img">
                                    <img src="{{ $slide['imagen']['sizes']['w570_380'] }}" alt="{{ $slide['imagen']['alt'] }}">
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
    @endif
</section>

