@if ($fields['consejos'])
<div class="orientation">
    <h2 class="orientation__title">
        {{ $fields['consejos_titulo'] }}
    </h2>
    <em class="orientation__subtitle">
        {{ $fields['consejos_subtitulo'] }}
    </em>

    <div class="orientation-step">
        <ul>
            @foreach ($fields['consejos'] as $key => $consejo)
                <li>
                    <!-- Tamaño icono 64x64 -->
                    <span class="orientation-step__icon" style="background-image: url({{ $consejo['icono']['url'] }})">  
                    </span>
                    <p class="title">{{ $consejo['titulo'] }}</p>
                    <p class="subtitle">{{ $consejo['subtitulo'] }}</p>
                    <div class="orientation-step__content">
                        
                        @if ($consejo['video'])
                            <a class="orientation-step__content-link" data-toggle="modal" data-target="#modal{{ $key }}">
                                <div class="video-img" style="background-image: url({{ $consejo['imagen']['sizes']['w860_500'] }})">
                                    <p class="title">sdfg
                                    </p>
                                </div>
                            </a>
                        @else
                        <div class="image">
                            <img src="{{ $consejo['imagen']['sizes']['w860_500'] }}" alt="">
                        </div>
                        @endif
                        
                        <div class="orientation-step__content-text">
                            {!! $consejo['contenido'] !!}
                        </div>
                    </div>
                </li>
            @endforeach
        </ul>
    </div>

    <!-- Modales -->
    <div class="container my-4">
        <div class="row">
            <div class="col-lg-4 col-md-12 mb-4">
                @foreach ($fields['consejos'] as $key => $consejo)
                    @if ($consejo['video'])
                    <!--Modal: Name-->
                    <div class="modal fade" id="modal{{ $key }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg" role="document">
                            <!--Content-->
                            <div class="modal-content">
                                <!--Body-->
                                <div class="modal-body mb-0 p-0">
                                    <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
                                        {!! $consejo['video']  !!}
                                    </div>
                                </div>
                                <!--Footer-->
                                <div class="modal-footer justify-content-center">
                                    <button type="button" class="btn btn-outline-primary btn-rounded btn-md ml-4" data-dismiss="modal">Cerrar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif
                @endforeach
            </div>
        </div>
    </div>
</div>
@endif
