@extends('layouts.base')

@section('content')
  
    
    @include('parts/modules/discover/banner')

    @php
        $ov_pagina = $fields['ov_pagina'];
        $ov_cta = $fields['ov_cta'];
        $ov_texto = $fields['ov_texto'];
        $ov_imagen = $fields['ov_imagen'];
    
        $faq_pagina = $fields['faq_pagina'];
        $faq_cta = $fields['faq_cta'];
        $faq_texto = $fields['faq_texto'];
        $faq_imagen = $fields['faq_imagen'];

        $ensayo_pagina = $fields['ensayo_pagina'];
        $ensayo_cta = $fields['ensayo_cta'];
        $ensayo_texto = $fields['ensayo_texto'];
        $ensayo_imagen = $fields['ensayo_imagen'];

        $simulador_pagina = $fields['simulador_pagina'];
        $simulador_cta = $fields['simulador_cta'];
        $simulador_texto = $fields['simulador_texto'];
        $simulador_imagen = $fields['simulador_imagen'];
    @endphp 

    <section id="banner-info">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <ul class="banner-info__list">
                        @if ($ov_pagina)
                            <li><a href="#{{ sanitize_title($ov_pagina->post_title) }}">{{ $ov_pagina->post_title }}</a></li>
                        @endif
                        @if ($faq_pagina)
                            <li><a href="#{{ sanitize_title($faq_pagina->post_title) }}">{{ $faq_pagina->post_title }}</a></li>
                        @endif
                        @if ($ensayo_pagina)
                            <li><a href="#{{ sanitize_title($ensayo_pagina->post_title) }}">{{ $ensayo_pagina->post_title }}</a></li>
                        @endif
                        @if ($simulador_pagina)
                            <li><a href="#{{ sanitize_title($simulador_pagina->post_title) }}">{{ $simulador_pagina->post_title }}</a></li>
                        @endif
                    </ul>
                </div>
            </div>
        </div>
    </section>

    <section id="readyUniversity">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    
                    <div class="container">
                        <div class="row">

                            @if ($ov_pagina)
                            <div class="col-md-12 information-ucn__content">
                                <div class="content-text">
                                    <a href="{{ get_permalink($ov_pagina) }}" class="content-text__link">
                                        <h2 id="{{ sanitize_title($ov_pagina->post_title) }}">{{ $ov_pagina->post_title }}</h2>
                                        <h4>
                                            {{ $ov_texto }}
                                        </h4>
                                        <a href="{{ get_permalink($ov_pagina) }}" class="btn btn-primary content-text__button">
                                           {{ $ov_cta }}
                                        </a>
                                    </a>
                                </div>
                                <div class="content-img">
                                    @if ($ov_imagen)
                                        <div class="imagen" style="background-image: url('{{ $ov_imagen['sizes']['w650_390'] }}')"></div>
                                    @else
                                        <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                    @endif
                                </div>
                            </div>
                            @endif

                            @if ($faq_pagina)
                            <div class="col-md-12 information-ucn__content">
                                <div class="content-img">
                                    @if ($faq_imagen)
                                        <div class="imagen" style="background-image: url('{{ $faq_imagen['sizes']['w650_390'] }}')"></div>
                                    @else
                                        <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                    @endif
                                </div>
                                <div class="content-text">
                                    <a href="{{ get_permalink($faq_pagina) }}" class="content-text__link">
                                        <h2 id="{{ sanitize_title($faq_pagina->post_title) }}">{{ $faq_pagina->post_title }}</h2>
                                        <h4>
                                            {{ $faq_texto }}
                                        </h4>
                                        <a href="{{ get_permalink($faq_pagina) }}" class="btn btn-primary content-text__button">
                                            {{ $faq_cta }}
                                        </a>
                                    </a>
                                </div>
                            </div>
                            @endif

                            @if ($ensayo_pagina)
                            <div class="col-md-12 information-ucn__content">
                                <div class="content-text">
                                    <a href="{{ get_permalink($ensayo_pagina) }}" class="content-text__link">
                                        <h2 id="{{ sanitize_title($ensayo_pagina->post_title) }}">{{ $ensayo_pagina->post_title }}</h2>
                                        <h4>
                                            {{ $ensayo_texto }}
                                        </h4>
                                        <a href="{{ get_permalink($ensayo_pagina) }}" class="btn btn-primary content-text__button">
                                            {{ $ensayo_cta }}
                                        </a>
                                    </a>
                                </div>
                                <div class="content-img">
                                    @if ($ensayo_imagen)
                                        <div class="imagen" style="background-image: url('{{ $ensayo_imagen['sizes']['w650_390'] }}')"></div>
                                    @else
                                        <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                    @endif
                                </div>
                            </div>
                            @endif

                            @if ($simulador_pagina)
                            <div class="col-md-12 information-ucn__content">
                                <div class="content-img">
                                    @if ($simulador_imagen)
                                        <div class="imagen" style="background-image: url('{{ $simulador_imagen['sizes']['w650_390'] }}')"></div>
                                    @else
                                        <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                    @endif
                                </div>
                                <div class="content-text">
                                    <a href="{{ get_permalink($simulador_pagina) }}" class="content-text__link">
                                        <h2 id="{{ sanitize_title($simulador_pagina->post_title) }}">{{ $simulador_pagina->post_title }}</h2>
                                        <h4>
                                            {{ $simulador_texto }}
                                        </h4>
                                        <a href="{{ get_permalink($simulador_pagina) }}" class="btn btn-primary content-text__button">
                                            {{ $simulador_cta }}
                                        </a>
                                    </a>
                                </div>
                            </div>
                            @endif
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>


@endsection
