@extends('layouts.base')

@section('content')
		
		<section id="admission-process">
				@include('parts/modules/discover/banner')

				@php
					$pdt_pagina = get_field('pdt_pagina');
					$pdt_cta = get_field('pdt_cta');
					$pdt_texto = get_field('pdt_texto');
					$pdt_imagen = get_field('pdt_imagen');

					$admision_especial_imagen = get_field('admision_especial_imagen');
					$admision_especial_texto = get_field('admision_especial_texto');
					$admision_especial_pagina = get_field('admision_especial_pagina');
					$admision_especial_cta = get_field('admision_especial_cta');

					$matricula_imagen = get_field('matricula_imagen');
					$matricula_pagina = get_field('matricula_pagina');
					$matricula_texto = get_field('matricula_texto');
					$matricula_cta = get_field('matricula_cta');

					$calendario_imagen = get_field('calendario_imagen');
					$calendario_pagina = get_field('calendario_pagina');
					$calendario_texto = get_field('calendario_texto');
					$calendario_cta = get_field('calendario_cta');
				@endphp

				<section id="banner-info">
					<div class="container">
							<div class="row">
									<div class="col-md-12">
											<ul class="banner-info__list">
													@if ($pdt_pagina)
														<li><a href="#{{ sanitize_title($pdt_pagina->post_title) }}">{{ $pdt_pagina->post_title }}</a></li>
													@endif
													
													@if ($admision_especial_pagina)
													<li><a href="#{{ sanitize_title($admision_especial_pagina->post_title) }}">{{ $admision_especial_pagina->post_title }}</a></li>
													@endif

													@if ($matricula_pagina)
													<li><a href="#{{ sanitize_title($matricula_pagina->post_title) }}">{{ $matricula_pagina->post_title }}</a></li>
													@endif

													@if ($calendario_pagina)
													<li><a href="#{{ sanitize_title($calendario_pagina->post_title) }}">{{ $calendario_pagina->post_title }}</a></li>
													@endif

											</ul>
									</div>
							</div>
					</div>
				</section>


				<div class="admission-process">
						<div class="container">
								<div class="row">
										<div class="col-md-12">

                                 <div class="row">
                                    <div class="col-md-12 information-ucn__content">
                                       @if ($pdt_pagina)
                                          <div class="content-text">
                                             <a href="{{ get_permalink($pdt_pagina) }}" class="content-text__link">
                                                <h2 id="{{ sanitize_title($pdt_pagina->post_title) }}">
                                                   {{ $pdt_pagina->post_title }}
                                                </h2>
                                                <h4>
                                                   {{ $pdt_texto }}
                                                </h4>
                                                <a href="{{ get_permalink($pdt_pagina) }}" class="btn btn-primary content-text__button">
                                                   {{ $pdt_cta }}
                                                </a>
                                             </a>
                                          </div>
                                          <div class="content-img">
                                             @if ($pdt_imagen)
                                                <div class="imagen" style="background-image: url('{{ $pdt_imagen['sizes']['w650_390'] }}')"></div>
                                             @else
                                                <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                             @endif
                                          </div>
                                       @endif
                                    </div>
                                    <div class="col-md-12 information-ucn__content">
                                       @if ($admision_especial_pagina)
                                          <div class="content-img">
                                             @if ($admision_especial_imagen)
                                                <div class="imagen" style="background-image: url('{{ $admision_especial_imagen['sizes']['w650_390'] }}')"></div>
                                             @else
                                                <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                             @endif
                                          </div>
                                          <div class="content-text">
                                             <a href="{{ get_permalink($admision_especial_pagina) }}" class="content-text__link">
                                                <h2 id="{{ sanitize_title($admision_especial_pagina->post_title) }}">
                                                   {{ $admision_especial_pagina->post_title }}
                                                </h2>
                                                <h4>
                                                   {{ $admision_especial_texto }}
                                                </h4>
                                                <a href="{{ get_permalink($admision_especial_pagina) }}" class="btn btn-primary content-text__button">
                                                   {{ $admision_especial_cta }}
                                                </a>
                                             </a>
                                          </div>
                                       @endif
                                    </div>
                                    <div class="col-md-12 information-ucn__content">
                                       @if ($matricula_pagina)
                                          <div class="content-text">
                                             <a href="{{ get_permalink($matricula_pagina) }}" class="content-text__link">
                                                <h2 id="{{ sanitize_title($matricula_pagina->post_title) }}">
                                                   {{ $matricula_pagina->post_title }}
                                                </h2>
                                                <h4>
                                                   {{ $matricula_texto }}
                                                </h4>
                                                <a href="{{ get_permalink($matricula_pagina) }}" class="btn btn-primary content-text__button">
                                                   {{ $matricula_cta }}
                                                </a>
                                             </a>
                                          </div>
                                          <div class="content-img">
                                             @if ($matricula_imagen)
                                                <div class="imagen" style="background-image: url('{{ $matricula_imagen['sizes']['w650_390'] }}')"></div>
                                             @else
                                                <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                             @endif
                                          </div>
                                       @endif
                                    </div>
                                    <div class="col-md-12 information-ucn__content">
                                       @if ($calendario_pagina)
                                          <div class="content-img">
                                             @if ($calendario_imagen)
                                                <div class="imagen" style="background-image: url('{{ $calendario_imagen['sizes']['w650_390'] }}')"></div>
                                             @else
                                                <div class="imagen" style="background-image: url('https://via.placeholder.com/650x390/')"></div>
                                             @endif
                                          </div>
                                          <div class="content-text">
                                                <a href="{{ get_permalink($calendario_pagina) }}" class="content-text__link">
                                                   <h2 id="{{ sanitize_title($calendario_pagina->post_title) }}">
                                                      {{ $calendario_pagina->post_title }}
                                                   </h2>
                                                   <h4>
                                                      {{ $calendario_texto }}
                                                   </h4>
                                                   <a href="{{ get_permalink($calendario_pagina) }}" class="btn btn-primary content-text__button">
                                                      {{ $calendario_cta }}
                                                   </a>
                                                </a>
                                          </div>
                                       @endif
                                    </div>
                                 </div>

										</div>
								</div>
						</div>
				</div>
				
		</section>

@endsection
