let mix = require('laravel-mix');
let ImageminPlugin = require('imagemin-webpack-plugin').default;

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for your application, as well as bundling up your JS files.
 |
 */
mix.webpackConfig({
    plugins: [
        new ImageminPlugin({
            //            disable: process.env.NODE_ENV !== 'production', // Disable during development
            pngquant: {
                quality: '95-100',
            },
            test: /\.(jpe?g|png|gif|svg)$/i,
        }),
    ],
})


mix.setPublicPath('dist');

mix.copy('assets/images', 'dist/img', false);

mix.js('assets/js/theme.js', 'dist/js/theme.min.js')
    .js('assets/js/custom.js', 'js/custom.min.js')
    .copy('assets', 'dist')
    .sass('assets/sass/style.scss', 'dist/css/theme.css')
    .options({
        processCssUrls: false
    });
